# Closes: #[ticket no]

## Type of changes?

- [ ] Bug fixes: Non-breaking change which fixes an issue
- [ ] New feature: Non-breaking change which adds a new feature
- [ ] Performance improvement: Non-breaking change which improves performance
- [ ] Documentation: Non-breaking change which improves documentation
- [ ] Other: Non-breaking change which does not fit into the above categories
- [ ] Breaking change: A breaking change which requires a new version of the library

## Checklist for Java project

- [ ] Change not related to Java project

> Following checklists are optional if above checkbox is selected:
>
> - [ ] Copyright banner comment added to newly added files, except `*.md`, `*.yml`, `*.json`?
> - [ ] Proper JavaDoc updated in main and test classes for all public classes and methods?
> - [ ] Tests added for changes?
> - [ ] Tests are passing locally?
> - [ ] Check style checks are passing locally?
> - [ ] Test coverage is at least 80% for newly added changes?
> - [ ] There are no SonarCloud issues?
> - [ ] README updated? (if applicable)
> - [ ] Documentation website updated for the PR raised?

## Checklist for Website

- [ ] Change not related to Website project

> Following is optional if above checkbox is selected:
>
> - [ ] Lint check passes locally?
> - [ ] Prettier check passes locally?
> - [ ] Build command working fine locally?

## Reviewers

### @BoykaFramework/boyka-core

> IMPORTANT: Make sure to check the `Allow edits from maintainers` box below this window
